com.google.gwt.user.client.ui

## Class MouseWheelVelocity

- java.lang.Object
- - com.google.gwt.user.client.ui.MouseWheelVelocity

Deprecated.
use `MouseWheelEvent.getDeltaY()` instead

    @Deprecated
    public class MouseWheelVelocity
    extends java.lang.Object

Encapsulates the direction and velocity of mouse wheel events. Not all combinations of browser and user input devices can generate all combinations of direction or range of velocity information.

See Also:
  `An explanation of the units used for mouse wheel velocity.`

### Field Summary

Fields
`protected int` `vY` Deprecated. Stores the Y-axis velocity.

### Constructor Summary

Constructors
Constructor and Description
`MouseWheelVelocity(Event e)` Deprecated. Construct the higher-level view of the original ONMOUSEWHEEL Event.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(java.lang.Object o)` Deprecated.
`int` `getDeltaY()` Deprecated. use `MouseWheelEvent.getDeltaY()` instead
`int` `hashCode()` Deprecated.
`boolean` `isNorth()` Deprecated. use `MouseWheelEvent.isNorth()` instead
`boolean` `isSouth()` Deprecated. use `MouseWheelEvent.isSouth()` instead
`java.lang.String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### vY

    protected final int vY

Deprecated.
Stores the Y-axis velocity.

### Constructor Detail

#### MouseWheelVelocity

    public MouseWheelVelocity(Event e)

Deprecated.
Construct the higher-level view of the original ONMOUSEWHEEL Event.

Parameters:
  `e` - the event

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Deprecated.

Overrides:
  `equals` in class `java.lang.Object`

#### getDeltaY

    @Deprecated
    public int getDeltaY()

Deprecated. use `MouseWheelEvent.getDeltaY()` instead
Returns the change in the mouse wheel position along the Y-axis; positive if the mouse wheel is moving north (toward the top of the screen) or negative if the mouse wheel is moving south (toward the bottom of the screen).

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `java.lang.Object`

#### isNorth

    @Deprecated
    public boolean isNorth()

Deprecated. use `MouseWheelEvent.isNorth()` instead
Convenience method that returns `true` if `getDeltaY()` is a negative value.

Returns:
  `true` if the velocity includes a component directed toword the top of the screen

#### isSouth

    @Deprecated
    public boolean isSouth()

Deprecated. use `MouseWheelEvent.isSouth()` instead
Convenience method that returns `true` if `getDeltaY()` is a positive value.

Returns:
  `true` if the velocity includes a component directed toword the bottom of the screen

#### toString

    public java.lang.String toString()

Deprecated.

Overrides:
  `toString` in class `java.lang.Object`